
from machine import Pin, I2C
import onewire, ds18x20, time
from esp8266_i2c_lcd import I2cLcd

led=Pin(25,Pin.OUT)
LCD_ADDR = 0x27
aux = 0
           
i2c = I2C(0,scl=Pin(1), sda=Pin(0), freq=400000)
lcd = I2cLcd(i2c, LCD_ADDR, 2, 16)
ds_pin = machine.Pin(14)
ds_sensor = ds18x20.DS18X20(onewire.OneWire(ds_pin))

led.value(1)
lcd.clear()
roms = ds_sensor.scan()
lcd.move_to(0, 0)
lcd.putstr("temperature")

while True:
  ds_sensor.convert_temp()
  time.sleep_ms(100)
  for rom in roms:
    print(rom)
    tempC = ds_sensor.read_temp(rom)
    tempF = tempC * (9/5) +32
    
    lcd.move_to(0, 1)
    str_temp = str(tempC)
    lcd.putstr(str_temp)
    if tempC < 100:
        if  tempC < 10:
             lcd.move_to(5, 1)
             lcd.putstr("   ")
        else :
            lcd.move_to(6, 1)
            lcd.putstr("  ")
            
    str_temp = str(tempF)
    lcd.move_to(8, 1)
    lcd.putstr(str_temp) 
    if tempF < 100:
        if  tempF < 10:
             lcd.move_to(13, 1)
             lcd.putstr("   ")
        else :
            lcd.move_to(14, 1)
            lcd.putstr("  ")

time.sleep_ms(5)

